<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePenyelarasanTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        Schema::create('penyelarasan', function (Blueprint $table) {
            $table->id();
            $table->char('kodcaw', 20);
            $table->decimal('rugilelong', 10, 2)->default(0);
            $table->decimal('bakilelong', 10, 2)->default(0);
            $table->decimal('lain-lain', 10, 2)->default(0);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
       Schema::dropIfExists('penyelarasan');
    }
}
